### Method

# ICalGLib VcardComponent clone

since: 4.0

#### Declaration [src]

    ICalVcardComponent*
    i_cal_vcard_component_clone (
      const ICalVcardComponent* component
    )

#### Description [src]

Deeply clone `component`.

Available since: 4.0

#### Return value

Type: `ICalVcardComponent`

The newly deeply cloned `ICalVcardComponent`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.